### Method

# GObject Binding get_source

deprecated: 2.68 since: 2.26

#### Declaration

    GObject*
    g_binding_get_source (
      GBinding* binding
    )

#### Description

Retrieves the `GObject` instance used as the source of the binding.

A `GBinding` can outlive the source `GObject` as the binding does not hold a strong reference to the source. If the source is destroyed before the binding then this function will return `NULL`.

Use `g_binding_dup_source()` if the source or binding are used from different threads as otherwise the pointer returned from this function might become invalid if the source is finalized from another thread in the meantime.

Available since: 2.26

Deprecated since: 2.68

Use `g_binding_dup_source()` for a safer version of this function.

Gets property | `GObject.Binding:source`

#### Return value

Type: `GObject`

The source `GObject`, or `NULL` if the source does not exist any more.

The data is owned by the instance.
The return value can be `NULL`.